Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface WebAppComponentRuntimeMBean

public interface WebAppComponentRuntimeMBean
extends ComponentRuntimeMBean

Describes a servlet component (servlet context).

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.runtime.ComponentRuntimeMBean
`ACTIVATED, NEW, PREPARED, UNPREPARED`

Method Summary
`void` | `deleteInvalidSessions()` Deletes the invalid sessions.
`java.lang.String` | `getComponentName()` Return the component's name.
`java.lang.String` | `getContextRoot()` Returns the context root (context path) for the webapp
`java.lang.String` | `getJSPCompileCommand()` Returns the jsp's compileCommand configured in weblogic.xml
`long` | `getJSPPageCheckSecs()` Returns the jsp's PageCheckSecs configured in weblogic.xml
`java.lang.String` | `getName()` Return the name of the mbean
`int` | `getOpenSessionsCurrentCount()` Returns the current total number of open sessions in this component.
`int` | `getOpenSessionsHighCount()` Returns the high water mark of the total number of open sessions in this server.
`int` | `getServletReloadCheckSecs()` Returns the servlet reload check seconds configured in weblogic.xml
`ServletRuntimeMBean[]` | `getServlets()` Return an array of ServletRuntimeMBeans associated with this component
`ServletSessionRuntimeMBean` | `getServletSession(java.lang.String sessionID)` Returns ServletSessionRuntimeMBean by its session ID
`ServletSessionRuntimeMBean[]` | `getServletSessions()` Return an array of ServletSessionRuntimeMBeans associated with this component.
`java.lang.String` | `getSessionCookieComment()` Returns the comment that your application uses to identify its session tracking cookies.
`java.lang.String` | `getSessionCookieDomain()` Returns the domains to which clients can return cookies.
`int` | `getSessionCookieMaxAgeSecs()` Returns the life span of the session cookie, in seconds, after which it expires on the client.
`java.lang.String` | `getSessionCookieName()` Returns the session cookie name.
`java.lang.String` | `getSessionCookiePath()` Returns the path name to which clients send cookies.
`int` | `getSessionIDLength()` Returns the session ID length configured for http sessions
`int` | `getSessionInvalidationIntervalSecs()` Returns the invalidation check timer interval configured for http sessions
`int` | `getSessionsOpenedTotalCount()` Gets the sessionsOpenedTotalCount attribute of the WebAppComponentRuntimeMBean object
`int` | `getSessionTimeoutSecs()` Returns the timeout configured for http sessions
`int` | `getSingleThreadedServletPoolSize()` Returns the single threaded servlet pool size configured in weblogic.xml
`java.lang.String` | `getSourceInfo()` Return an informative string about the component's source.
`java.lang.String` | `getStatus()` Return the component's status.
`boolean` | `isFilterDispatchedRequestsEnabled()` Returns true if dispatched requests are filtered as configured in weblogic.xml
`boolean` | `isIndexDirectoryEnabled()` Returns the directory indexing indicator configured in weblogic.xml
`boolean` | `isJSPDebug()` Returns the jsp's debug/linenumbers param value configured in weblogic.xml
`boolean` | `isJSPKeepGenerated()` Returns the jsp's KeepGenerated param value configured in weblogic.xml
`boolean` | `isJSPVerbose()` Returns the jsp's verbose param value configured in weblogic.xml
`boolean` | `isSessionMonitoringEnabled()` Returns the session monitoring indicator configured in weblogic.xml

Methods inherited from interface weblogic.management.runtime.ComponentRuntimeMBean
`getDeploymentState`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getName

    public java.lang.String getName()

  Return the name of the mbean

  Returns:
    The name value

### getComponentName

    public java.lang.String getComponentName()

  Return the component's name.

  Returns:
    The componentName value

### getContextRoot

    public java.lang.String getContextRoot()

  Returns the context root (context path) for the webapp

  Returns:
    The contextRoot value

### getStatus

    public java.lang.String getStatus()

  Return the component's status.

  Returns:
    The status value

### getSourceInfo

    public java.lang.String getSourceInfo()

  Return an informative string about the component's source.

  Returns:
    The sourceInfo value

### getServlets

    public ServletRuntimeMBean[] getServlets()

  Return an array of ServletRuntimeMBeans associated with this component

  Returns:
    The servlets value

### getOpenSessionsCurrentCount

    public int getOpenSessionsCurrentCount()

  Returns the current total number of open sessions in this component.

  Returns:
    The openSessionsCurrentCount value

### getOpenSessionsHighCount

    public int getOpenSessionsHighCount()

  Returns the high water mark of the total number of open sessions in this server. The count starts at zero each time the server is activated. Note that this is an optimization method for a highly useful statistic that could be implemented less efficiently using change notification.

  Returns:
    The openSessionsHighCount value

### getSessionsOpenedTotalCount

    public int getSessionsOpenedTotalCount()

  Gets the sessionsOpenedTotalCount attribute of the WebAppComponentRuntimeMBean object

  Returns:
    The sessionsOpenedTotalCount value

### getServletSessions

    public ServletSessionRuntimeMBean[] getServletSessions()

  Return an array of ServletSessionRuntimeMBeans associated with this component. This operation should only be done by explicit poll request (no real-time monitoring).

  Returns:
    The servletSessions value

### getServletSession

    public ServletSessionRuntimeMBean getServletSession(java.lang.String sessionID)

  Returns ServletSessionRuntimeMBean by its session ID

  Parameters:
    `sessionID` -
  Returns:
    The servletSession value

### deleteInvalidSessions

    public void deleteInvalidSessions()

  Deletes the invalid sessions.

### getSessionTimeoutSecs

    public int getSessionTimeoutSecs()

  Returns the timeout configured for http sessions

  Returns:
    The sessionTimeoutSecs value

### getSessionInvalidationIntervalSecs

    public int getSessionInvalidationIntervalSecs()

  Returns the invalidation check timer interval configured for http sessions

  Returns:
    The sessionInvalidationIntervalSecs value

### getSessionIDLength

    public int getSessionIDLength()

  Returns the session ID length configured for http sessions

  Returns:
    The sessionIDLength value

### getSessionCookieComment

    public java.lang.String getSessionCookieComment()

  Returns the comment that your application uses to identify its session tracking cookies.

  By default, all applications on WebLogic Server specify "WebLogic Session Tracking Cookie" as the cookie comment. To provide a more specific comment, edit your application's `weblogic.xml` deployment descriptor.

  Returns:
    The sessionCookieComment value

### getSessionCookieDomain

    public java.lang.String getSessionCookieDomain()

  Returns the domains to which clients can return cookies.

  By default, clients can return cookies only to the server that issued the cookie. You can change this default behavior by editing your application's `weblogic.xml` deployment descriptor.

  For more information, see `Cookie.setDomain()` in the Servlet specification from Sun Microsystems.

  Returns:
    The sessionCookieDomain value

### getSessionCookiePath

    public java.lang.String getSessionCookiePath()

  Returns the path name to which clients send cookies.

  Returns:
    The sessionCookiePath value

### getSessionCookieName

    public java.lang.String getSessionCookieName()

  Returns the session cookie name.

  By default, all applications on WebLogic Server specify "JSESSIONID" as the cookie name. To provide a more specific name, edit your application's `weblogic.xml` deployment descriptor.

  Returns:
    The sessionCookieName value

### getSessionCookieMaxAgeSecs

    public int getSessionCookieMaxAgeSecs()

  Returns the life span of the session cookie, in seconds, after which it expires on the client.

  If the value is 0, the cookie expires immediately.
  If set to -1, the cookie expires when the user exits the browser.

  Returns:
    The sessionCookieMaxAgeSecs value

### isFilterDispatchedRequestsEnabled

    public boolean isFilterDispatchedRequestsEnabled()

  Returns true if dispatched requests are filtered as configured in weblogic.xml

  Returns:
    The filterDispatchedRequestsEnabled value

### isIndexDirectoryEnabled

    public boolean isIndexDirectoryEnabled()

  Returns the directory indexing indicator configured in weblogic.xml

  Returns:
    The indexDirectoryEnabled value

### getServletReloadCheckSecs

    public int getServletReloadCheckSecs()

  Returns the servlet reload check seconds configured in weblogic.xml

  Returns:
    The servletReloadCheckSecs value

### getSingleThreadedServletPoolSize

    public int getSingleThreadedServletPoolSize()

  Returns the single threaded servlet pool size configured in weblogic.xml

  Returns:
    The singleThreadedServletPoolSize value

### isSessionMonitoringEnabled

    public boolean isSessionMonitoringEnabled()

  Returns the session monitoring indicator configured in weblogic.xml

  Returns:
    The sessionMonitoringEnabled value

### isJSPKeepGenerated

    public boolean isJSPKeepGenerated()

  Returns the jsp's KeepGenerated param value configured in weblogic.xml

  Returns:
    The jSPKeepGenerated value

### isJSPVerbose

    public boolean isJSPVerbose()

  Returns the jsp's verbose param value configured in weblogic.xml

  Returns:
    The jSPVerbose value

### isJSPDebug

    public boolean isJSPDebug()

  Returns the jsp's debug/linenumbers param value configured in weblogic.xml

  Returns:
    The jSPDebug value

### getJSPPageCheckSecs

    public long getJSPPageCheckSecs()

  Returns the jsp's PageCheckSecs configured in weblogic.xml

  Returns:
    The jSPPageCheckSecs value

### getJSPCompileCommand

    public java.lang.String getJSPCompileCommand()

  Returns the jsp's compileCommand configured in weblogic.xml

  Returns:
    The jSPCompileCommand value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD